BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | Static Public Member Functions | List of all members
CluE::ProxyProvider< T > Class Template Referenceabstract

Abstract base class to access results of proxy / center based clustering algorithms. More...

`#include <proxyprovider.h>`

Inheritance diagram for CluE::ProxyProvider< T >:
Collaboration diagram for CluE::ProxyProvider< T >:

## Public Member Functions
virtual | ~ProxyProvider ()
virtual unsigned int | number_of_solutions () const =0
| returns the number of available solutions More...
virtual unsigned int | size_of_solution (unsigned int index) const =0
| returns the size of a particular solution More...
virtual T | proxy (unsigned int solutionIndex, unsigned int proxyIndex) const =0
| returns the proxy for the specified clustering and cluster More...
virtual std::vector< T > | proxies (unsigned int solutionIndex) const =0
| returns the proxies for the specified clustering More...

## Static Public Member Functions
static ProxyProvider< T > * | toProxyProvider (SolutionProvider *s)
| does a dynamic cast of the given SolutionProvider to a ProxyProvider More...

## Detailed Description

### template<typename T>
class CluE::ProxyProvider< T >

Abstract base class to access results of proxy / center based clustering algorithms.

Definition at line 14 of file proxyprovider.h.

## Constructor & Destructor Documentation

template<typename T>

virtual CluE::ProxyProvider< T >::~ProxyProvider | ( |  | ) |
| inline virtual

Definition at line 17 of file proxyprovider.h.

## Member Function Documentation

template<typename T>

virtual unsigned int CluE::ProxyProvider< T >::number_of_solutions | ( |  | ) | const
| pure virtual

returns the number of available solutions

The algorthm may compute more than one solution of possibly different size, where size means number of computed clusters, proxies (e.g. cluster centers) or the size of a coreset. The sizes can be retrieved by a call to size_of_solution().

Implemented in CluE::ProxySolution< T >.

template<typename T>

virtual unsigned int CluE::ProxyProvider< T >::size_of_solution | ( | unsigned int | index | ) | const
| pure virtual

returns the size of a particular solution

Parameters

  index | number between 0 and number_of_solutions()-1

Returns
  the size for the requested clustering

Implemented in CluE::ProxySolution< T >.

template<typename T>

virtual T CluE::ProxyProvider< T >::proxy | ( | unsigned int | solutionIndex,
|  | unsigned int | proxyIndex
| ) |  | const
| pure virtual

returns the proxy for the specified clustering and cluster

Returns the computed proxy for cluster number proxyIndex in clustering number solutionIndex.

Implemented in CluE::ProxySolution< T >.

template<typename T>

virtual std::vector<T> CluE::ProxyProvider< T >::proxies | ( | unsigned int | solutionIndex | ) | const
| pure virtual

returns the proxies for the specified clustering

Returns the computed proxies for clustering number solutionIndex.

Implemented in CluE::ProxySolution< T >.

template<typename T>

static ProxyProvider<T>* CluE::ProxyProvider< T >::toProxyProvider | ( | SolutionProvider * | s | ) |
| inline static

does a dynamic cast of the given SolutionProvider to a ProxyProvider

Returns
  NULL if the SolutionProvider is not a ProxyProvider instance

Definition at line 55 of file proxyprovider.h.

The documentation for this class was generated from the following file:

- src/base/proxyprovider.h